#!/usr/bin/perl -w
use strict;
use base qw(Net::Server::Fork);

sub process_request {
    my $self = shift;
    my $accepted = $self->{server}{client};
    my $peer_port = $accepted->peerport;
    my $peer_ip   = $accepted->peerhost;
    print STDERR "Pid $$, received a connection from $peer_ip:$peer_port\n";
    print $accepted "Hello $peer_ip:$peer_port\n";
    sleep 5;
}

__PACKAGE__->run(host => "127.0.0.1",
                 port => 1234);
